Name: x11-driver-video-xgi
Version: 1.5.0
Release: %mkrel 3
Summary: The X.org driver for XGI Cards
Group: Development/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-xgi-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: x11-util-macros		>= 1.1.5
BuildRequires: libdrm-devel		>= 2.3.0
BuildRequires: libpixman-1-devel	>= 0.9.6
BuildRequires: x11-proto-devel		>= 7.3
BuildRequires: x11-server-devel		>= 1.4
BuildRequires: libmesagl-devel		>= 7.0.2
Conflicts: xorg-x11-server < 7.0

Patch1: 0001-Ensure-XGI-DriverRec-and-xgiModuleData-XF86ModuleDat.patch

%description
The X.org driver for Generic XGI Cards

%prep
%setup -q -n xf86-video-xgi-%{version}

%patch1 -p1

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/xgi_drv.la
%{_libdir}/xorg/modules/drivers/xgi_drv.so
%{_mandir}/man4/xgi.*


%changelog
* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.5.0-3mdv2008.1
+ Revision: 166253
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.5.0-2mdv2008.1
+ Revision: 156632
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.5.0-1mdv2008.1
+ Revision: 154788
- Updated BuildRequires and submit package.
  First package version, unstested, upstream compilable version.
- Update driver to be loadable.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Generate tarball agains't proper tag xf86-video-xgi-1.5.0, and add patches
  up to mandriva branch.
- Add xf86-video-xgi to cooker.
- Create directory tree for new package x11-driver-video-xgi.

